QuickFIX: FIX::Log Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Log Class Reference

This interface must be implemented to log messages and events. More...

`#include <Log.h>`

Inheritance diagram for FIX::Log:
[legend]

List of all members.

## Public Member Functions
virtual | ~Log ()
virtual void | clear ()=0
virtual void | backup ()=0
virtual void | onIncoming (const std::string &)=0
virtual void | onOutgoing (const std::string &)=0
virtual void | onEvent (const std::string &)=0

## Detailed Description

This interface must be implemented to log messages and events.

Definition at line 81 of file Log.h.

## Constructor & Destructor Documentation

virtual FIX::Log::~Log | ( |  | ) | `[inline, virtual]`

Definition at line 84 of file Log.h.

    00084 {}

## Member Function Documentation

virtual void FIX::Log::backup | ( |  | ) | `[pure virtual]`

Implemented in FIX::FileLog, FIX::NullLog, FIX::ScreenLog, and FIX::SessionState.

Referenced by FIX::SessionState::backup().

virtual void FIX::Log::clear | ( |  | ) | `[pure virtual]`

Implemented in FIX::FileLog, FIX::NullLog, FIX::ScreenLog, and FIX::SessionState.

Referenced by FIX::SessionState::clear().

virtual void FIX::Log::onEvent | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::FileLog, FIX::NullLog, FIX::ScreenLog, and FIX::SessionState.

Referenced by FIX::ThreadedSocketInitiator::doConnect(), FIX::SocketInitiator::doConnect(), FIX::SocketAcceptor::onConnect(), FIX::SessionState::onEvent(), FIX::ThreadedSocketConnection::read(), FIX::SocketConnection::read(), and FIX::ThreadedSocketConnection::setSession().

virtual void FIX::Log::onIncoming | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::FileLog, FIX::NullLog, FIX::ScreenLog, and FIX::SessionState.

Referenced by FIX::SessionState::onIncoming(), FIX::SocketConnection::read(), and FIX::ThreadedSocketConnection::setSession().

virtual void FIX::Log::onOutgoing | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::FileLog, FIX::NullLog, FIX::ScreenLog, and FIX::SessionState.

Referenced by FIX::SessionState::onOutgoing().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Log.h